#!/usr/local/bin/perl

$tmpfile = "test.tmp";
$outfile = "out.tmp";
$result = 0;

foreach( @ARGV )
{
	$cmd = $_;
	print "Executing ".$cmd."...";
	`$cmd >$outfile 2>$tmpfile`;
	if ( $? ) { $result = 1; last; };
	open( IN, "<".$tmpfile );
	$_ = <IN>;
	if ( /OK/ )
		{
		print "OK\n";
		}
	else
		{
		print "Failed!\n";
		$result = 1;
		};
	close( IN );
};

if ( !$result )
	{
	print "Tests succeeded!\n";
	}
else
	{
	print "Tests FAILED!\n";
	}

exit $result;

